/*
  common.h

  Common declarations.

  $Id: common.h 3 2000-01-04 11:35:42Z enz $
*/

#ifndef COMMON_H
#define COMMON_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define FALSE 0
#define TRUE !0
#define MAXCHAR 2048

#ifdef DEBUG
#include <assert.h>
#define ASSERT( x ) \
    if ( ! ( x ) ) \
        Log_err( "ASSERTION FAILED: %s line %i", __FILE__, __LINE__ ); \
    assert( x )
#else
#define ASSERT( x )
#endif

typedef int Bool;
typedef char Str[ MAXCHAR ];

#endif
