/*
  post.h

  Take a single article received in its entirety without an overview
  (i.e. received via at the server via a POST), and add it to the database
  and (possibly multiple) group(s).

  $Id: post.h 32 2000-04-29 14:45:56Z enz $
*/

#ifndef POST_H
#define POST_H

#include "common.h"

/* Register an article for posting. */
Bool
Post_open( const char * text );

/* Add the article to a group. */
Bool
Post_add ( const char * grp );
   
/* Done with article - tidy up. */
void
Post_close( void );

#endif
